import { FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { BindQueryParamsOptions, QueryParamParams } from './types';
import { QueryParamDef } from './QueryParamDef';
export declare class BindQueryParamsManager<T = any> {
    private router;
    private options;
    private defs;
    private group;
    private $destroy;
    private defsSynced;
    connect(group: FormGroup): this;
    constructor(router: Router, defs: QueryParamParams<T>[] | QueryParamParams<T>, options: BindQueryParamsOptions);
    onInit(): void;
    destroy(): void;
    getDef(queryKey: keyof T): QueryParamDef<T>;
    parse(queryParams: Partial<T>): {};
    syncDefs(queryKeys: (keyof T & string) | (keyof T & string)[], options?: {
        emitEvent: boolean;
    }): void;
    paramExists(queryKey: keyof T): boolean;
    private updateQueryParams;
    private updateControl;
}
